oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions related to download, Installation and licensing for Intel oneAPI Toolkits and software development tools.
1330 Discussions

A question when installing the intel oneAPI Base Toolkit on my MacBook Pro

lkx
Beginner
1,110 Views

When I installing the intel oneAPI Base Toolkit on my MacBook Pro 2021, it reminded me there are something wrong(shown in the picture), and I wonder where is the problem and how can I solve it?

Thanks ahead!

9.png

0 Kudos
4 Replies
ArpanB_Intel
Moderator
1,064 Views

Hi Lei, the tool should work well on MacOS with Intel® CPU Processor since systems based on the below Intel® 64 architectures are supported for Intel® oneAPI Base Toolkit.


Intel® Core™ processor family or higher

Intel® Xeon® processor family

Intel® Xeon® Scalable processor family


We would recommend you use a compatible system for the installation. You may visit the below link for more information on the Intel® oneAPI Base Toolkit System Requirements.


Link: https://www.intel.com/content/www/us/en/developer/articles/system-requirements/intel-oneapi-base-toolkit-system-requirements.html#inpage-nav-1-undefined


0 Kudos
lkx
Beginner
1,052 Views

Hello, Dr ArpanB. First, thanks for your reply. And my MacBook Pro's chip is the newest published M1 Pro, does that means I can't install the intel OneAPI Base Toolkit on my PC? If not, can you tell me which version of the Toolkit can be used on my MacBook and how could I find and install it?

Thanks a lot! 

0 Kudos
ArpanB_Intel
Moderator
1,048 Views

Lei, the toolkits are tested on multiple platforms and architectures prior to it's stable release publicly. All versions of the Intel® oneAPI Base Toolkit was tested on Intel® CPU Processors, and thus systems based on the earlier mentioned three Intel® 64 architectures are supported for the Intel® oneAPI Base Toolkit.


It may or may not work on other platforms. However, if it does not work, we are unable to support it. Thus, we recommend you to try and install the toolkit on a supported platform. To check the system requirements for the toolkit, visit: https://www.intel.com/content/www/us/en/developer/articles/system-requirements/intel-oneapi-base-toolkit-system-requirements.html


0 Kudos
ArpanB_Intel
Moderator
1,039 Views

Lei, unfortunately we were unable to hear back from you.


If you have any further queries, please post a new question as this thread will no longer be monitored by Intel®.


0 Kudos
Reply